% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muńoz

% Función auxiliar
% Eliminación parcial de la línea de cultivo, método E2
function [aux,colD1,aux2] = fCIzq(aux,aux2,ptoIni,tam,totIni)
    [f,c] = size(aux);

    mediaI=0;
    for i=1:f
        totI = totIni;
        pto = ptoIni;
        ptoI = pto;
        if(pto-tam>=1) 
               izq = pto-tam;
        else izq = 1;
        end;
        vizq = aux(i,izq:ptoI);
        sigueIzq = true;
        while(sigueIzq)
           if(sigueIzq && sum(vizq)>=totI)
               aux(i,izq:ptoI)=0;
               aux2(i,izq:ptoI,1)=255;
               aux2(i,izq:ptoI,2)=255;
               aux2(i,izq:ptoI,3)=0;
               if(izq==1)
                   sigueIzq = false;
               end;
           else sigueIzq = false;
           end;
           if(sigueIzq && izq-tam>=1) 
               ptoI = izq;
               izq = izq-tam; 
               %totI = totIni;
           elseif (sigueIzq)
               ptoI = izq;
               izq = 1;
               totI = ceil((totIni*(ptoI-1))/tam);
           end;
           vizq = aux(i,izq:ptoI);
        end;  
        mediaI = mediaI+izq;
    end;
    colD1 = mediaI/f;
    
    aux(:,ptoIni)=0;
    aux2(:,ptoIni,1)=255;
    aux2(:,ptoIni,2)=255;
    aux2(:,ptoIni,3)=0;
%     
%     figure,imshow(aux2);